Bug 35757 - Exception.ToString => NotSupportedException
Summary: Exception.ToString => NotSupportedException
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: 4.2.0 (C6)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-11-10 17:54 UTC by henrik
Modified: 2018-03-13 11:07 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description henrik 2015-11-10 17:54:52 UTC
Unhandled exception: System.NotSupportedException: Specified method is not supported.
   at System.Reflection.MonoGenericClass.GetMethods (BindingFlags bf) in <filename unknown>:line 0
   at System.Reflection.Emit.TypeBuilder.GetMethodsByName (System.String name, BindingFlags bindingAttr, Boolean ignoreCase, System.Type reflected_type) in <filename unknown>:line 0
   at System.Reflection.Emit.TypeBuilder.GetMethods (BindingFlags bindingAttr) in <filename unknown>:line 0
   at System.Diagnostics.StackTrace.GetFullNameForStackTrace (System.Text.StringBuilder sb, System.Reflection.MethodBase mi) in <filename unknown>:line 0
   at System.Diagnostics.StackTrace.AddFrames (System.Text.StringBuilder sb, Boolean isException) in <filename unknown>:line 0
   at System.Diagnostics.StackTrace.ToString () in <filename unknown>:line 0
   at System.Exception.get_StackTrace () in <filename unknown>:line 0
   at System.Exception.ToString () in <filename unknown>:line 0
   at Hopac.Core.Handler.DoHandleNull (Hopac.Core.Worker& wr, System.Exception e) in <filename unknown>:line 0
   at Hopac.Core.Handler.DoHandle (Hopac.Core.Handler hr, Hopac.Core.Worker& wr, System.Exception e) in <filename unknown>:line 0
   at Hopac.Core.JobBind`2+ContBind[X,Y].DoHandle (Hopac.Core.Worker& wr, System.Exception e) in <filename unknown>:line 0
   at Hopac.Core.Handler.DoHandle (Hopac.Core.Handler hr, Hopac.Core.Worker& wr, System.Exception e) in <filename unknown>:line 0
   at Hopac.Core.FailWork.DoWork (Hopac.Core.Worker& wr) in <filename unknown>:line 0
   at Hopac.Core.Worker.Run (Hopac.Scheduler sr, Int32 me) in <filename unknown>:line 0

Just doing some computation, getting this, seemingly when Hopac calls ToString on an exception. What method is not supported, exactly?
Comment 1 Miguel de Icaza [MSFT] 2015-12-23 03:49:02 UTC
Please provide a repro test case.
Comment 2 Marek Safar 2018-03-13 11:07:16 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!